[ARM Testing Update] 2020-04-28 - LXQT, GCC, Gnome and Kernels

Hello ARM community.

Another testing update for you all!

LXQt-0.15.0


Some highlights:

  • Most of our kernels got rebuilt against GCC 9.3
  • LXQT updated to 0.15
  • Gnome got a point update to 3.36.2
  • The GCC compilers got updated to 9.3.0
  • Lots of python packages got updated
  • General rebuild of applications against new GCC. Did we miss any? Please let us know in the thread!

Upstream Notifications:

Older notifications

The nss package requires manual intervention:
https://www.archlinux.org/news/nss3511-1-and-lib32-nss3511-1-updates-require-manual-intervention/
The packages hplip and firewalld requires manual intervention:
https://www.archlinux.org/news/hplip-3203-2-update-requires-manual-intervention/
https://www.archlinux.org/news/firewalld081-2-update-requires-manual-intervention/


Package Changes Tue Apr 28 21:24:27 CEST 2020

  • arm-testing community aarch64: 171 new and 167 removed package(s)
  • arm-testing core aarch64: 29 new and 28 removed package(s)
  • arm-testing extra aarch64: 58 new and 61 removed package(s)
:: Different overlay package(s) in repository community aarch64

-------------------------------------------------------------------------------
                             PACKAGE          2020-04-25         2020-04-28
-------------------------------------------------------------------------------
                electron-aarch64-bin              8.2.3-1              8.2.4-1


:: Different sync package(s) in repository community aarch64

-------------------------------------------------------------------------------
                             PACKAGE          2020-04-25         2020-04-28
-------------------------------------------------------------------------------
                           alacritty              0.4.2-1              0.4.2-2
                             alembic             1.7.12-1             1.7.12-2
                                 apm              2.4.5-1              2.4.5-2
                     archlinux-repro         20200411.1-1           20200427-1
                           autorandr                1.9-1               1.10-1
                bash-language-server             1.13.1-1             1.13.1-2
                             bashtop              0.8.5-1             0.8.15-1
                             bchoppr              1.6.0-1              1.6.2-1
                           bettercap               2.27-1             2.27.1-2
                   bettercap-capletsv20200110.r338.ed5a3de-1v20200413.r340.dba2ff0-1
                             blender          17:2.82.a-1          17:2.82.a-3
                             calibre             4.13.0-1             4.14.0-1
                      calibre-common             4.13.0-1             4.14.0-1
                     calibre-python3             4.13.0-1             4.14.0-1
                       cataclysm-dda                0.D-1                0.E-1
                 cataclysm-dda-tiles                0.D-1                0.E-1
                                cgns              4.1.1-1              4.1.1-2
                       checkbashisms             2.18.4-1             2.20.3-1
                          clementine           1.4.0rc1-1           1.4.0rc1-2
                              cython            0.29.16-1            0.29.17-1
                             cython2            0.29.16-1            0.29.17-1
                       diff-so-fancy              1.2.7-1              1.3.0-1
                          diffoscope                141-1                143-1
                            ettercap              0.8.3-1              0.8.3-2
                        ettercap-gtk              0.8.3-1              0.8.3-2
                          fanficfare             3.16.0-1             3.18.0-1
                 firefox-dark-reader              4.9.6-1              4.9.7-1
                    firefox-noscript            11.0.23-1            11.0.25-1
                   firefox-tridactyl             1.18.0-1             1.18.1-1
                                gdal              3.0.4-5              3.0.4-6
                             glances              3.1.3-2            3.1.4.1-1
                        glew-wayland              2.1.0-4              2.1.0-5
                                 gmm                5.3-1                5.4-1
      golang-github-stretchr-testify              1.4.0-1              1.5.0-1
                              gource               0.51-2               0.51-3
                                hdf5             1.10.5-1             1.12.0-2
                        hdf5-openmpi             1.10.5-1             1.12.0-2
                               hugin           2019.2.0-2           2019.2.0-3
                                hugo             0.69.1-1             0.69.2-1
                             i3-gaps               4.18-1             4.18.1-1
                            ipv6calc              1.1.0-1              2.2.0-1
                                 k9s             0.19.2-1             0.19.3-1
                             kbibtex            1:0.9.1-1            1:0.9.2-1
                               kicad              5.1.5-1              5.1.5-2
                              kstars            1:3.4.1-1            1:3.4.2-1
                             labplot              2.7.0-2              2.7.0-3
                            libfm-qt             0.14.1-4             0.15.0-1
                             liblxqt             0.14.1-1             0.15.0-2
                            libmatio             1.5.14-1             1.5.16-1
                            libqtxdg              3.4.0-4              3.5.0-1
                       libretro-play               5553-1               5553-2
                            libslirp              4.2.0-1              4.3.0-1
                          libsysstat              0.4.2-1              0.4.3-1
                                lilv             0.24.6-2             0.24.8-1
                              linbox              1.6.3-1              1.6.3-2
                       livewallpaper          0.5.0.333-2          0.5.0.333-3
                                 lv2             1.16.0-4             1.18.0-1
                          lximage-qt             0.14.1-2             0.15.0-1
                          lxqt-about             0.14.1-1             0.15.0-1
                          lxqt-admin             0.14.1-1             0.15.0-1
                       lxqt-archiver              0.1.0-1              0.1.1-1
                    lxqt-build-tools              0.6.0-1              0.7.0-1
                         lxqt-config             0.14.1-1             0.15.0-1
                     lxqt-globalkeys             0.14.3-1             0.15.0-1
                  lxqt-notificationd             0.14.1-1             0.15.0-1
                lxqt-openssh-askpass             0.14.1-1             0.15.0-1
                          lxqt-panel             0.14.1-2             0.15.0-1
                      lxqt-policykit             0.14.1-1             0.15.0-1
                lxqt-powermanagement             0.14.1-1             0.15.0-1
                       lxqt-qtplugin             0.14.0-3             0.15.0-1
                         lxqt-runner             0.14.1-1             0.15.0-1
                        lxqt-session             0.14.1-1             0.15.0-1
                           lxqt-sudo             0.14.1-1             0.15.0-1
                         lxqt-themes             0.14.0-1             0.15.0-1
                              marked              0.8.2-1              1.0.0-1
                       mediastreamer              4.3.1-1              4.3.1-2
                        mephisto.lv2              0.8.8-1              0.8.8-2
                             mtpaint            3.49.20-1            3.49.27-1
                     mysql-workbench             8.0.19-2             8.0.20-1
                              netcdf              4.7.3-1              4.7.4-1
                      netcdf-fortran              4.5.2-1              4.5.2-2
              netcdf-fortran-openmpi              4.4.5-2              4.5.2-2
                      netcdf-openmpi              4.7.0-1              4.7.4-1
                              nodejs            13.13.0-1             14.0.0-1
                            nvme-cli             1.10.1-2             1.11.1-1
                           obconf-qt             0.14.1-1             0.15.0-1
                              octave              5.2.0-1              5.2.0-2
                             opencsg              1.4.2-2              1.4.2-3
                            openscad            2019.05-5            2019.05-6
                 openshadinglanguage             1.10.9-3             1.10.9-4
                                pari             2.11.4-1             2.11.4-2
                      pavucontrol-qt             0.14.1-1             0.15.0-1
                          pcmanfm-qt             0.14.1-1             0.15.0-2
                                 pcp              5.0.3-2              5.1.0-1
                               pdftk             3.0.10-1              3.1.0-1
                        phpldapadmin             1.2.3-12             1.2.3-13
                 profile-sync-daemon               6.37-1               6.38-1
                        prusa-slicer              2.2.0-2              2.2.0-3
                             puppet5             5.5.18-1             5.5.19-1
                             puzzles           20190415-1           20200413-1
                               pymol              2.3.0-2              2.3.0-3
                     python-cairosvg              2.4.2-3            2.4.2-3.1
                    python-connexion              2.6.0-2              2.7.0-1
                       python-distro              1.4.0-3              1.5.0-1
                         python-gdal              3.0.4-5              3.0.4-6
                     python-graphviz             0.13.2-2               0.14-1
                         python-h5py             2.10.0-2             2.10.0-3
                 python-h5py-openmpi             2.10.0-1             2.10.0-2
                  python-http-parser              0.8.3-5              0.9.0-1
                       python-igraph              0.8.0-2              0.8.1-1
          python-importlib_resources              1.4.0-1              1.5.0-1
                   python-inflection              0.3.1-3              0.4.0-1
                      python-netcdf4              1.5.3-2              1.5.3-3
             python-os-client-config              2.1.0-1              2.1.0-2
                       python-poetry              1.0.5-1              1.0.5-2
                     python-pyblake2              1.1.2-3              1.1.2-4
                  python-pycontracts             1.8.12-3             1.8.14-1
                     python-pygithub               1.47-1               1.50-1
                       python-pyglet              1.5.0-1              1.5.4-1
                     python-pytables              3.6.1-4              3.6.1-5
                      python-rfc3986              1.3.2-4              1.4.0-1
                       python-sphinx              3.0.2-1              3.0.3-1
                      python-tomlkit             0.5.11-1              0.6.0-1
                    python-u-msgpack              2.5.2-2              2.6.0-1
                      python-wcwidth              0.1.8-1              0.1.9-1
                      python-webtest             2.0.34-1             2.0.35-1
                      python2-distro              1.4.0-3              1.5.0-1
                        python2-h5py             2.10.0-2                    -
                python2-h5py-openmpi             2.10.0-1                    -
                 python2-http-parser              0.8.3-5              0.9.0-1
                     python2-netcdf4              1.5.3-2                    -
                    python2-pyblake2              1.1.2-3                    -
                 python2-pycontracts             1.8.12-3             1.8.14-1
                 python2-qpid-proton             0.30.0-2                    -
                   python2-u-msgpack              2.5.2-2              2.6.0-1
                     python2-wcwidth              0.1.8-1              0.1.9-1
                     python2-webtest             2.0.34-1             2.0.35-1
                         qbittorrent              4.2.4-1              4.2.5-1
                     qbittorrent-nox              4.2.4-1              4.2.5-1
                                qgis             3.12.0-1             3.12.1-1
                         qpid-proton             0.30.0-2             0.30.0-3
                           qterminal             0.14.1-1             0.15.0-1
                         qtermwidget             0.14.1-1             0.15.0-1
                         qutebrowser             1.10.2-1             1.11.0-1
                          rebuilderd              0.2.2-1              0.3.0-2
                               renpy              7.3.5-1              7.3.5-2
                         renpy-demos              7.3.5-1              7.3.5-2
                          ruby-sassc              2.2.1-2              2.3.0-2
                          screengrab              2.0.0-1              2.0.1-1
                              semver              7.1.3-1              7.3.2-1
                                serd             0.30.2-1             0.30.4-1
                simplescreenrecorder             0.3.11-1              0.4.0-1
                         slirp4netns              1.0.0-1              1.0.1-1
                                slop                7.5-1                7.5-2
                            supertux              0.6.1-3              0.6.1-4
                             sysstat             12.3.1-1             12.3.2-1
                             ts-node              8.9.0-1              8.9.1-1
                      ubuntu-keyring       2018.09.18.1-1       2020.02.11.2-1
         v2ray-domain-list-community       202004241242-1       202004270711-1
                               vigra            1.11.1-21            1.11.1-22
                           vigra-doc            1.11.1-21            1.11.1-22
                                 vtk             8.2.0-10             8.2.0-12
                               xapps              1.8.0-1              1.8.1-1
                         yabause-gtk             0.9.15-2             0.9.15-3
                          yabause-qt             0.9.15-2             0.9.15-3
             zsh-theme-powerlevel10k              1.4.0-3              1.5.0-1
                            cairosvg                    -              2.1.3-5
                              gio-qt                    -              0.0.9-1
                golang-gopkg-yaml.v2                    -              2.2.8-2
                    python-cairocffi                    -              1.1.0-3
              python-jeepney-objects                    -              0.2.0-1
                       python-xcffib                    -              0.9.0-1
                     python-xpybutil                    -              0.0.6-2
                      python2-xcffib                    -              0.9.0-1
                               qtile                    -             0.15.1-1


:: Different overlay package(s) in repository core aarch64

-------------------------------------------------------------------------------
                             PACKAGE          2020-04-25         2020-04-28
-------------------------------------------------------------------------------
                           boot-vim1            2020.04-1            2020.04-2
                           boot-vim2            2020.04-1            2020.04-2
                           boot-vim3            2020.04-1            2020.04-2
                       linux-aarch64              5.6.7-1              5.6.7-2
               linux-aarch64-headers              5.6.7-1              5.6.7-2
                    linux-aarch64-rc            5.7.rc2-1            5.7.rc3-3
            linux-aarch64-rc-headers            5.7.rc2-1            5.7.rc3-3
                          linux-rpi4           4.19.115-1           4.19.118-1
                  linux-rpi4-headers           4.19.115-1           4.19.118-1
                 linux-rpi4-mainline              5.6.4-1              5.6.7-1
         linux-rpi4-mainline-headers              5.6.4-1              5.6.7-1
                     linux-rpi4-next             5.4.32-3             5.4.35-1
             linux-rpi4-next-headers             5.4.32-3             5.4.35-1
              raspberrypi-bootloader           20200416-1           20200427-1
            raspberrypi-bootloader-x           20200416-1           20200427-1
                     uboot-odroid-c4                    -            2015.01-1


:: Different sync package(s) in repository core aarch64

-------------------------------------------------------------------------------
                             PACKAGE          2020-04-25         2020-04-28
-------------------------------------------------------------------------------
                           amd-ucode   20200316.8eb0b28-1   20200421.78c0348-1
                            binutils           2.33.1-2.2               2.34-2
                                 gcc              9.2.0-4              9.3.0-1
                               gcc-d              9.2.0-4              9.3.0-1
                         gcc-fortran              9.2.0-4              9.3.0-1
                              gcc-go              9.2.0-4              9.3.0-1
                            gcc-libs              9.2.0-4              9.3.0-1
                            gcc-objc              9.2.0-4              9.3.0-1
                             gettext             0.20.1-3             0.20.2-1
                               glibc               2.30-3               2.31-2
                             libtool 2.4.6+44+gb9b44533-82.4.6+44+gb9b44533-11
                      linux-firmware   20200316.8eb0b28-1   20200421.78c0348-1
                              tzdata              2019c-3              2020a-1


:: Different overlay package(s) in repository extra aarch64

-------------------------------------------------------------------------------
                             PACKAGE          2020-04-25         2020-04-28
-------------------------------------------------------------------------------
                            mesa-git20.1.0_devel.122600.e4521aeafc8-120.1.0_devel.122693.5a8718f01b3-1


:: Different sync package(s) in repository extra aarch64

-------------------------------------------------------------------------------
                             PACKAGE          2020-04-25         2020-04-28
-------------------------------------------------------------------------------
                        avogadrolibs             1.93.0-2             1.93.0-4
                        dconf-editor             3.36.0-1             3.36.2-1
                             devhelp             3.36.1-1             3.36.2-1
                            devtools           20200213-1           20200407-1
                                dkms              2.8.1-1              2.8.1-2
                                 eog             3.36.1-1             3.36.2-1
                         foomatic-db         3:20200404-1         3:20200428-1
                 foomatic-db-nonfree         3:20200404-1         3:20200428-1
            foomatic-db-nonfree-ppds         3:20200404-1         3:20200428-1
                    foomatic-db-ppds         3:20200404-1         3:20200428-1
                               gedit             3.36.1-1             3.36.2-1
                             getmail               5.14-1                    -
                                gimp            2.10.18-5            2.10.18-6
                                glew              2.1.0-1              2.2.0-2
                          gnome-2048             3.36.0-1             3.36.2-1
          gnome-getting-started-docs             3.36.1-1             3.36.2-1
                          gnome-maps             3.36.1-1             3.36.2-1
                         gnome-music           1:3.36.1-1           1:3.36.2-1
                gnome-sound-recorder             3.34.0-1 3.34.0+10+gc4bdfa0-1
                      gnome-terminal           3.36.1.1-1             3.36.2-1
                      gnome-tetravex             3.36.0-1             3.36.2-1
                     gnome-user-docs             3.36.1-1             3.36.2-1
                     gst-plugins-bad             1.16.2-7             1.16.2-8
                gst-plugins-bad-libs             1.16.2-7             1.16.2-8
               gtk-update-icon-cache          1:3.24.18-1          1:3.24.20-1
                                gtk3          1:3.24.18-1          1:3.24.20-1
                                gvim           8.2.0510-1           8.2.0510-2
                         imagemagick           7.0.10.7-1           7.0.10.9-1
                     imagemagick-doc           7.0.10.7-1           7.0.10.9-1
                          libmagick6           6.9.11.7-1           6.9.11.9-1
                         libmicrodns              0.1.0-1              0.1.2-1
                libtorrent-rasterbar            1:1.2.5-1            1:1.2.6-1
                     libuninameslist           20190701-1           20200413-1
                          mesa-demos              8.4.0-3              8.4.0-4
                               meson             0.54.0-2             0.54.1-1
                                 mpd            0.21.22-1            0.21.23-3
                                neon             0.31.0-1             0.31.1-1
                              opencv              4.3.0-3              4.3.0-4
                      opencv-samples              4.3.0-3              4.3.0-4
                            openjpeg              1.5.2-2                    -
                       python-pycups             1.9.74-3              2.0.1-1
                         python-zbar               0.23-3             0.23.1-1
                             python2             2.7.17-3             2.7.18-1
                      python2-pycups             1.9.74-3                    -
                                 qbs             1.15.0-1             1.16.0-1
                              qt5-3d             5.14.2-1           5.14.2-1.1
                           qtcreator             4.12.0-1             4.12.0-2
                        quadrapassel             3.36.0-1            3.36.02-1
                                rust           1:1.43.0-1           1:1.43.0-2
                           rust-docs           1:1.43.0-1           1:1.43.0-2
                                 vim           8.2.0510-1           8.2.0510-2
                         vim-runtime           8.2.0510-1           8.2.0510-2
                                 vlc             3.0.8-13            3.0.9.2-2
                          vte-common             0.60.1-1             0.60.2-1
                                vte3             0.60.1-1             0.60.2-1
                      wireguard-dkms       1.0.20200413-1       1.0.20200426-1
                                zbar               0.23-3             0.23.1-1
                            zbar-gtk               0.23-3             0.23.1-1
                             zbar-qt               0.23-3             0.23.1-1
                             zziplib            0.13.70-2            0.13.71-1

  • No issue, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself.(Please post your solution)
  • Yes i am currently experiencing an issue due to the update. (Please post about it)

0 voters

3 Likes

Known Issues and Solutions

This is a wiki post, please edit it when you find a solution to an issue you encountered

Old Issues

Manual interventions:
The nss and zn_poly packages prior to version 3.51.1-1 and version 0.9.2-2 respectively, were missing a soname link each. This has been fixed in 3.51.1-1 and 0.9.2-2 of these packages, so the upgrade will need to overwrite the untracked files created by ldconfig. If you get any of these errors

nss: /usr/lib/p11-kit-trust.so exists in filesystem
zn_poly: /usr/lib/libzn_poly-0.9.so  exists in filesystem

when updating, use

pacman -Syu --overwrite /usr/lib/p11-kit-trust.so --overwrite /usr/lib/libzn_poly-0.9.so

to perform the upgrade.

Device stopped booting after Uboot update
The uboot update included a change to the extlinux.conf file. This change will be incompatible with the old 1 partition layout of some devices.
So if you are updating installs made with images 20.02.1 or older, you need to apply this fix before rebooting!
To fix this please edit your /boot/extlinux/extlinux.conf file and add 2 periods in front of each first slash, like so:

KERNEL ../Image
FDT ../dtbs/ #etc.
APPEND initrd=../initramfs-linux.img #etc.

Save the file and reboot.

Forum kindly sponsored by